xcb_xv_query_extension(3)

NAME
xcb_xv_query_extension -

SYNOPSIS
#include <xcb/xv.h>

  Request function

xcb_xv_query_extension_cookie_t xcb_xv_query_extension(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_xv_query_extension_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t major;
    uint16_t minor;
} xcb_xv_query_extension_reply_t;

  Reply function

xcb_xv_query_extension_reply_t *xcb_xv_query_extension_reply(xcb_connection_t *conn, xcb_xv_query_extension_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XV_QUERY_EXTENSION. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

major
    TODO: NOT YET DOCUMENTED.

minor
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xv_query_extension_cookie_t. Errors have to be handled when calling the reply function xcb_xv_query_extension_reply. If you want to handle errors in the event loop instead, use xcb_xv_query_extension_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xv.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.